import { jsx as _jsx } from "react/jsx-runtime";
import { usePointPosition } from '../../hooks';
export function Polygon(props) {
    const { points: oldPoints, color, ...polylineProps } = props;
    const points = usePointPosition(oldPoints);
    return _jsx("polygon", { fill: color, points: points, ...polylineProps }, void 0);
}
//# sourceMappingURL=Polygon.js.map