/// <reference types="react" />
import type { Position } from '../types';
export declare type LegendPosition = Position | 'embedded';
export declare type LegendProps = {
    position: LegendPosition;
    margin?: number;
} & {
    [K in Position]?: number;
};
export declare function Legend({ position, margin, ...legendOffsets }: LegendProps): JSX.Element;
